---

Kodi 17.3 Security Update Patches Infamous Subtitle Hack, Ubuntu 14.04 LTS Crash

While Kodi 17.3 is a minor update adding the missing binary add-ons like PVR, Inputstream and visualisation, as well as addressing a crash that occurred on older operating systems using the GCC 4.8 compiler, such as Ubuntu 14.04 LTS (Trusty Tahr), Kodi 17.2 is a major milestone patching a critical security vulnerability. The subtitle hack made the headlines yesterday as it appears to leave more than 200 million devices vulnerable to a remote code execution. Therefore, if you’re using Kodi 17.1 or a previous version on your HTPC device, you are urged to update to Kodi 17.2 or Kodi 17.3 as soon as possible.